JasPer: Logging

JasPer 3.0.4 |

Classes | Macros | Typedefs | Functions
Logging

Logging. More...

## Classes
struct | jas_logtype_t
| Type used for the log type. More...

## Macros
#define | JAS_LOGTYPE_CLASS_NULL 0
#define | JAS_LOGTYPE_CLASS_ERROR 1
#define | JAS_LOGTYPE_CLASS_WARN 2
#define | JAS_LOGTYPE_CLASS_INFO 3
#define | JAS_LOGTYPE_CLASS_DEBUG 4

## Typedefs
typedef int() | jas_vlogmsgf_t(jas_logtype_t, const char *, va_list)
| Type used for formatted message logging function. More...

## Functions
static jas_logtype_t | jas_logtype_init (int clas, int priority)
| Create an instance of a logtype. More...
static int | jas_logtype_getclass (jas_logtype_t type)
| Get the class of a logtype. More...
static int | jas_logtype_getpriority (jas_logtype_t type)
| Get the priority of a logtype. More...
JAS_EXPORT int | jas_vlogmsgf (jas_logtype_t type, const char *fmt, va_list ap)
| Print formatted log message. More...
JAS_EXPORT int | jas_vlogmsgf_stderr (jas_logtype_t type, const char *fmt, va_list ap)
| Output a log message to standard error. More...
JAS_EXPORT int | jas_vlogmsgf_discard (jas_logtype_t type, const char *fmt, va_list ap)
| Output a log message to nowhere (i.e., discard the message). More...

## Detailed Description

Logging.

General information can be found here.

## Macro Definition Documentation

## ◆ JAS_LOGTYPE_CLASS_DEBUG

#define JAS_LOGTYPE_CLASS_DEBUG 4

Log type class for debugging messages.

## ◆ JAS_LOGTYPE_CLASS_ERROR

#define JAS_LOGTYPE_CLASS_ERROR 1

Log type class for errors.

## ◆ JAS_LOGTYPE_CLASS_INFO

#define JAS_LOGTYPE_CLASS_INFO 3

Log type class for informational messages.

## ◆ JAS_LOGTYPE_CLASS_NULL

#define JAS_LOGTYPE_CLASS_NULL 0

Log type class for unclassified messages.

## ◆ JAS_LOGTYPE_CLASS_WARN

#define JAS_LOGTYPE_CLASS_WARN 2

Log type class for warnings.

## Typedef Documentation

## ◆ jas_vlogmsgf_t

typedef int() jas_vlogmsgf_t(jas_logtype_t, const char *, va_list)

Type used for formatted message logging function.

## Function Documentation

## ◆ jas_logtype_getclass()

static int jas_logtype_getclass | ( | jas_logtype_t | type | ) |
| inlinestatic

Get the class of a logtype.

## ◆ jas_logtype_getpriority()

static int jas_logtype_getpriority | ( | jas_logtype_t | type | ) |
| inlinestatic

Get the priority of a logtype.

## ◆ jas_logtype_init()

static jas_logtype_t jas_logtype_init | ( | int | clas,
|  | int | priority
| ) |  |
| inlinestatic

Create an instance of a logtype.

## ◆ jas_vlogmsgf()

JAS_EXPORT int jas_vlogmsgf | ( | jas_logtype_t | type,
|  | const char * | fmt,
|  | va_list | ap
| ) |  |

Print formatted log message.

## ◆ jas_vlogmsgf_discard()

JAS_EXPORT int jas_vlogmsgf_discard | ( | jas_logtype_t | type,
|  | const char * | fmt,
|  | va_list | ap
| ) |  |

Output a log message to nowhere (i.e., discard the message).

## ◆ jas_vlogmsgf_stderr()

JAS_EXPORT int jas_vlogmsgf_stderr | ( | jas_logtype_t | type,
|  | const char * | fmt,
|  | va_list | ap
| ) |  |

Output a log message to standard error.